<template>
  <el-form :model="form" label-width="80px">
    <el-form-item label="维修人">
      <el-input v-model="form.maintenanceName" placeholder="请输入维修人" />
    </el-form-item>
    <el-form-item label="维修结果">
      <el-input v-model="form.maintenanceResult" placeholder="请输入维修结果" />
    </el-form-item>
    <el-form-item label="维修日期">
      <el-date-picker
        v-model="form.maintenanceTime"
        placeholder="请选择维修日期"
        format="YYYY-MM-DD HH:mm:ss"
        value-format="YYYY-MM-DD HH:mm:ss"
        type="datetime"
        clearable
        style="width: 100%"
      />
    </el-form-item>
  </el-form>
</template>

<script setup>
import useFormData from "@/hooks/useFormData";
import useUserStore from "@/store/modules/user";
import dayjs from "dayjs";

defineOptions({
  name: "设备维修表单",
});

const userStore = useUserStore();
const { form, resetForm } = useFormData({
  maintenanceName: undefined, // 维修名称
  maintenanceResult: undefined, // 维修结果
  maintenanceTime: undefined, // 维修日期
});

const setForm = (data) => {
  form.maintenanceName = data.maintenanceName ?? userStore.nickName;
  form.maintenanceResult = data.maintenanceResult;
  form.maintenanceTime =
    data.maintenanceTime ?? dayjs().format("YYYY-MM-DD HH:mm:ss");
};

const getForm = () => {
  return form;
};

defineExpose({
  getForm,
  setForm,
  resetForm,
});
</script>

<style lang="scss" scoped></style>
